﻿/*  ----------------------------------------------------------------------------
 *  Microsoft Public License (http://www.microsoft.com/opensource/licenses.mspx#Ms-PL)
 *  
 *  ----------------------------------------------------------------------------
 *  DynamicAspect
 *  ----------------------------------------------------------------------------
 *  File:       DynamciException.cs
 *  Author:     NiceWk (n9walker@hotmail.com)
 *  ----------------------------------------------------------------------------
 */

using System;
using System.Runtime.Serialization;

namespace Bizall.Dynamic.Aspect
{
    /// <summary>
    /// A general execpetion class for DynamicAspect
    /// </summary>
    [Serializable]
    public class DynamciException : Exception
    {
        public DynamciException() { }

        public DynamciException(string message) : base(message) { }

        public DynamciException(string message, Exception inner) : base(message, inner) { }

        public DynamciException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}