﻿/*  ----------------------------------------------------------------------------
 *  Microsoft Public License (http://www.microsoft.com/opensource/licenses.mspx#Ms-PL)
 *  
 *  ----------------------------------------------------------------------------
 *  DynamicAspect
 *  ----------------------------------------------------------------------------
 *  File:       WeavingContextTest.cs
 *  Author:     NiceWk (n9walker@hotmail.com)
 *  ----------------------------------------------------------------------------
 */

using Bizall.Dynamic.Aspect;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Dynamic;
using DynamicAspectTester.Mocks;

namespace DynamicAspectTester
{
    
    
    /// <summary>
    ///This is a test class for WeavingContextTest and is intended
    ///to contain all WeavingContextTest Unit Tests
    ///</summary>
    [TestClass()]
    public class WeavingContextTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion



        /// <summary>
        ///A test for ArgumentValues
        ///</summary>
        [TestMethod()]
        public void ArgumentValuesTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            object[] expected = null; // TODO: Initialize to an appropriate value
            object[] actual;
            target.ArgumentValues = expected;
            actual = target.ArgumentValues;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetIndexBinder
        ///</summary>
        [TestMethod()]
        public void GetIndexBinderTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            GetIndexBinder actual;
            actual = target.GetIndexBinder;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetMemberBinder
        ///</summary>
        [TestMethod()]
        public void GetMemberBinderTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            GetMemberBinder actual;
            actual = target.GetMemberBinder;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for InvokeBinder
        ///</summary>
        [TestMethod()]
        public void InvokeBinderTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            InvokeBinder actual;
            actual = target.InvokeBinder;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for InvokeMemberBinder
        ///</summary>
        [TestMethod()]
        public void InvokeMemberBinderTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            InvokeMemberBinder actual;
            actual = target.InvokeMemberBinder;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for ReturnValue
        ///</summary>
        [TestMethod()]
        public void ReturnValueTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            object expected = null; // TODO: Initialize to an appropriate value
            object actual;
            target.ReturnValue = expected;
            actual = target.ReturnValue;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for SetIndexBinder
        ///</summary>
        [TestMethod()]
        public void SetIndexBinderTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            SetIndexBinder actual;
            actual = target.SetIndexBinder;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for SetMemberBinder
        ///</summary>
        [TestMethod()]
        public void SetMemberBinderTest()
        {
            object target1 = null; // TODO: Initialize to an appropriate value
            DynamicMetaObjectBinder binder = null; // TODO: Initialize to an appropriate value
            object[] argumentValues = null; // TODO: Initialize to an appropriate value
            object returnValue = null; // TODO: Initialize to an appropriate value
            WeavingContext target = new WeavingContext(target1, binder, argumentValues, returnValue); // TODO: Initialize to an appropriate value
            SetMemberBinder actual;
            actual = target.SetMemberBinder;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Target
        ///</summary>
        [TestMethod()]
        [DeploymentItem("DynamicAspect.dll")]
        public void TargetTest()
        {
            PrivateObject param0 = null; // TODO: Initialize to an appropriate value
            WeavingContext_Accessor target = new WeavingContext_Accessor(param0); // TODO: Initialize to an appropriate value
            object expected = null; // TODO: Initialize to an appropriate value
            object actual;
            target.Target = expected;
            actual = target.Target;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}