﻿/*  ----------------------------------------------------------------------------
 *  Microsoft Public License (http://www.microsoft.com/opensource/licenses.mspx#Ms-PL)
 *  
 *  ----------------------------------------------------------------------------
 *  DynamicAspect
 *  ----------------------------------------------------------------------------
 *  File:       Bank.cs
 *  Author:     NiceWk (n9walker@hotmail.com)
 *  ----------------------------------------------------------------------------
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BankSample
{
    class Bank
    {
        decimal _account;

        public void Withdraw(decimal amount)
        {
            _account -= amount;
        }

        public void Deposit(decimal amount)
        {
            _account += amount;
        }

        public void ShowAccount()
        {
            Console.WriteLine("Your are account amount is {0: 0.00##}", _account);
        }

        public decimal Account
        {
            get { return _account; }
        }
    }
}