﻿/*  ----------------------------------------------------------------------------
 *  Microsoft Public License (http://www.microsoft.com/opensource/licenses.mspx#Ms-PL)
 *  
 *  ----------------------------------------------------------------------------
 *  DynamicAspect
 *  ----------------------------------------------------------------------------
 *  File:       ExceptionAspect.cs
 *  Author:     NiceWk (n9walker@hotmail.com)
 *  ----------------------------------------------------------------------------
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Bizall.Dynamic.Aspect;

namespace BankSample
{
    class ExceptionAspect : AspectBase
    {
        public override bool OnExceptionMethodCall(WeavingContext context, Exception ex)
        {
            Console.WriteLine("{0}: {1}", ex.Message, ex.InnerException.Message);
            return true;
        }
    }
}