﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Bizall.Dynamic.Aspect;

namespace DynamicAspectTester.Mocks
{
    class MySecondAspect : AspectBase
    {
        public MySecondAspect()
        {
            Sequence = 2;
        }

        public override void OnAfterMethodCall(WeavingContext context)
        {
            if (context.ReturnValue != null && context.ReturnValue.GetType() == typeof(string))
                context.ReturnValue = "MySecondAspect";
        }
    }
}
